import { INestApplicationContext, LoggerService as LoggerService$1 } from '@nestjs/common';
export { Config as ConfigService } from '@pulumi/pulumi';

declare class Bootstrap {
    static create(mod: any): Promise<INestApplicationContext>;
}

declare class ConfigModule {
}

declare class LoggerService implements LoggerService$1 {
    private readonly context?;
    private readonly color;
    constructor(context?: string);
    error(message: any, trace?: string, context?: string): Promise<void>;
    warn(message: any, context?: string): Promise<void>;
    log(message: any, context?: string): Promise<void>;
    debug(message: any, context?: string): Promise<void>;
    private printf;
}

export { Bootstrap, ConfigModule, LoggerService };
